#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework qqc2-desktop-style

%define rel 1

Name:          kf5-%framework
Summary:       Qt Quick Controls 2: Desktop Style
Version: 5.116.1
Release:       %mkrel %{rel}
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://kde.org
Source0:       https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires: kf5-rpm-macros

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5QuickControls2)
BuildRequires: cmake(Qt5Xml)
BuildRequires: cmake(Qt5X11Extras)
BuildRequires: cmake(Qt5LinguistTools)

BuildRequires: cmake(KF5Kirigami2) >= %{url_ver}
BuildRequires: cmake(KF5Sonnet)

BuildRequires: cmake(KF5IconThemes) >= %{url_ver}
BuildRequires: cmake(KF5ConfigWidgets) >= %{url_ver}

Requires:      kirigami2
Requires:      sonnet

Conflicts:      %{framework} < 5.113.0


%description
Qt Quick Controls 2: Desktop Style.

%files -f qqc2desktopstyle5_qt.lang
%_qt5_plugindir/kf5/kirigami/org.kde.desktop.so
%_kf5_qmldir/QtQuick/Controls.2/org.kde.desktop
%_kf5_qmldir/org/kde/qqc2desktopstyle/private

#--------------------------------------------------------------------

%define kf5qqc2deskopstyle_devel %mklibname kf5qqc2deskopstyle -d

%package -n %kf5qqc2deskopstyle_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5qqc2deskopstyle_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5qqc2deskopstyle_devel
%_kf5_libdir/cmake/KF5QQC2DeskopStyle/
%_kf5_libdir/cmake/KF5QQC2DesktopStyle/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 qqc2desktopstyle5_qt


%changelog
* Thu May 23 2024 daviddavid <daviddavid> 5.116.1-1.mga10
+ Revision: 2066827
- New version 5.116.1
- fix translations coinstallability with KF6

* Tue May 21 2024 daviddavid <daviddavid> 5.116.0-1.mga10
+ Revision: 2065437
- New version 5.116.0

* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040605
- New version 5.115.0

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032354
- New version 5.114.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028449
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952097
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947891
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941398
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935047
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922298
- New version 5.101.0

* Mon Nov 28 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912131
- add missing runtime dependency on sonnet

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911666
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900269
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887706
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880648
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871748
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853846
- New version 5.93.0

* Wed Apr 06 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1846207
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754876
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735310
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723506
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714898
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702074
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691168
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653383
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633233
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625668
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612365
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603140
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592832
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582058
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566549
- New version 5.69.0
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556726
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.1-2.mga8
+ Revision: 1546949
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.67.1-1.mga8
+ Revision: 1490146
- New version 5.67.1

* Wed Feb 05 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1487275
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Mon Dec 16 2019 daviddavid <daviddavid> 5.65.0-2.mga8
+ Revision: 1468352
- enable Qt5X11Extras support

* Sat Dec 14 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1467209
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457663
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451038
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444850
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420115
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386987
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384251
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374645
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364580
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356710
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339259
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319006
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300670
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1250240
- New version 5.49.0

* Thu May 17 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230213
- New version 5.46.0

* Fri Jan 19 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1194811
- imported package qqc2-desktop-style

